Summary:	Icecast - Streaming Media Server
Name:		icecast
Version:	2.0.0
Release:	1
Group:		System Environment/Daemons
License:	GPL
URL:		http://www.icecast.org/
Source0:	%{name}-%{version}.tar.gz
Source1:	icecast.sh
Source2:	icecast.logrotate
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Requires:	curl >= 7.10.4
Requires:	libshout libxml2 libxslt
BuildRequires:	curl-devel >= 7.10.4
BuildRequires:	libshout-devel libxml2-devel libxslt-devel

%description
Icecast is a streaming media server which currently supports Ogg
Vorbis and MP3 audio streams. It can be used to create an Internet
radio station or a privately running jukebox and many things in
between. It is very versatile in that new formats can be added
relatively easily and supports open standards for commuincation and
interaction.


%prep
%setup


%build
%configure
%{__make}


%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
mkdir -p %{buildroot}%{_sysconfdir}/%{name}/
mkdir -p %{buildroot}%{_initrddir}/
mkdir -p %{buildroot}%{_sysconfdir}/logrotate.d/
mkdir -p %{buildroot}%{_localstatedir}/log/%{name}/

install -m 755 %{SOURCE1} %{buildroot}%{_initrddir}/%{name}
install -m 755 %{SOURCE2} %{buildroot}%{_sysconfdir}/logrotate.d/%{name}

%makeinstall

# Fix install
rm -rf $RPM_BUILD_ROOT%{_datadir}/doc/%{name}/
mv $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.xml $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/.
mv $RPM_BUILD_ROOT%{_bindir}/ $RPM_BUILD_ROOT%{_sbindir}/
mv $RPM_BUILD_ROOT%{_datadir}/%{name}/doc/%{name}.xml.dist doc/.
rm -rf $RPM_BUILD_ROOT%{_datadir}/%{name}/doc/
#


%pre


%post
/sbin/chkconfig --add icecast


%preun
if [ $1 = 0 ]; then
	service icecast stop > /dev/null 2>&1
	/sbin/chkconfig --del icecast
fi


%postun
service icecast condrestart > /dev/null 2>&1


%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT


%files
%defattr(0644,root,root,0755)
%doc AUTHORS COPYING NEWS README TODO
%doc doc/*.html doc/*.jpg doc/*.css doc/*.dist
%attr(0644,root,root) %config %{_sysconfdir}/%{name}/%{name}.xml
%attr(0755,root,root) %{_sysconfdir}/logrotate.d/%{name}
%attr(0755,root,root) %{_initrddir}/%{name}
%attr(0755,root,root) %{_sbindir}/%{name}
%attr(-,nobody,nobody) %{_datadir}/%{name}/
%attr(0755,nobody,nobody) %dir %{_localstatedir}/log/%{name}/


%changelog
* Sun Jan 11 2004 Petr Kritof <Petr|Kristof_CZ>
- Final 2.0.0

* Sun Nov 23 2003 Petr Kritof <Petr|Kristof_CZ>
- Beta version 2.0
- Rebuild on FC-1

* Sun Jul 20 2003 Petr Kritof <Petr|Kristof_CZ>
- Alpha version 2.0

* Mon Mar 24 2003 Petr Kritof <Petr|Kristof_CZ>
- Rebuild on RH-8.0

* Sun Nov 3 2002 Petr Kritof <Petr|Kristof_CZ>
- Used 1.901
- Build on RH-7.3

